import { ChangeDetectorRef, ElementRef, NgZone, OnInit } from '@angular/core';
import { AbstractVariable } from '@iotize/tap/data';
import { PolarChartComponent } from '@swimlane/ngx-charts';
import { ChartInputMutli, ChartInputStreamArray } from '../ChartDataModel';
export declare class TapVariablePolarRadarChartComponent extends PolarChartComponent implements OnInit {
    colorScheme: {
        domain: string[];
    };
    legend: boolean;
    xAxis: boolean;
    yAxis: boolean;
    showYAxisLabel: boolean;
    showXAxisLabel: boolean;
    valueCountLimit: number;
    set variable(variableOrArray: AbstractVariable<number> | AbstractVariable<number[]> | AbstractVariable<number>[] | undefined);
    set inputStream(inputs: ChartInputStreamArray[]);
    loaded: boolean;
    results: ChartInputMutli[];
    private chartModel;
    private subscription?;
    constructor(myChartElement: ElementRef<any>, zone: NgZone, cd: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onSelect(event: any): void;
}
